# Interface Encoder.BinaryStream<T>

All Superinterfaces:
  `Encoder`

Enclosing interface:
  `Encoder`

public static interface Encoder.BinaryStream<T> extends Encoder

## Nested Class Summary

### Nested classes/interfaces inherited from interface Encoder

`Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>`

## Method Summary

Modifier and Type
Method
Description
`void`
`encode(T object, OutputStream os)`

### Methods inherited from interface Encoder

`destroy, init`

## Method Details

### encode

void encode(T object, OutputStream os) throws EncodeException, IOException

Throws:
  `EncodeException`
  `IOException`